import { ADMIN_FORMSERVICE } from '@admin-client/shared';
import { Component, inject, Input } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { TextEditorComponent } from '@ods/component';
import { ButtonComponent, DeleteIconComponent } from '@ods/system';
import { AggregationMappingFormService } from '../../aggregation-mapping-form.service';

@Component({
  selector: 'admin-aggregation-mapping-field-form',
  standalone: true,
  templateUrl: './aggregation-mapping-field-form.component.html',
  imports: [ButtonComponent, DeleteIconComponent, ReactiveFormsModule, TextEditorComponent],
})
export class AggregationMappingFieldFormComponent {
  @Input({ required: true }) index: number;

  public readonly formService = <AggregationMappingFormService>inject(ADMIN_FORMSERVICE);

  public readonly AggregationMappingFormService = AggregationMappingFormService;
}
