import { Component, EventEmitter, Output } from '@angular/core';
import { DropdownMenuButtonItemComponent, LogoutIconComponent } from '@ods/system';

@Component({
  selector: 'admin-user-logout-button',
  standalone: true,
  templateUrl: './admin-user-logout-button.component.html',
  imports: [DropdownMenuButtonItemComponent, LogoutIconComponent],
})
export class AdminUserLogoutButtonComponent {
  @Output() logout = new EventEmitter<void>();
}
