import { StateResource } from '@alfa-client/tech-shared';
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ButtonWithSpinnerComponent, CancelDialogButtonComponent } from '@ods/component';

@Component({
  selector: 'admin-user-delete-dialog',
  standalone: true,
  imports: [ButtonWithSpinnerComponent, CancelDialogButtonComponent],
  templateUrl: './user-delete-dialog.component.html',
})
export class UserDeleteDialogComponent {
  @Input() username: string;
  @Input() deleteUserStateResource: StateResource<unknown>;

  @Output() delete: EventEmitter<void> = new EventEmitter<void>();
}
