export class AggregationMappingE2EComponent {
  private readonly headerText: string = 'aggregation-mapping-header-text';
  private readonly listItemName: string = 'list-item-name';
  private readonly listItemFormEngineName: string = 'list-item-form-engine-name';
  private readonly listItemFormId: string = 'list-item-form-id';
  private readonly weitereFelderAuswertenButton = 'weitere-felder-auswerten-button';

  public getHeaderText(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.headerText);
  }

  public getListItemName(): Cypress.Chainable<Element> {
    return cy.getTestElementWithClass(this.listItemName);
  }

  public getListItemFormEngineName(): Cypress.Chainable<Element> {
    return cy.getTestElementWithClass(this.listItemFormEngineName);
  }

  public getListItemFormId(): Cypress.Chainable<Element> {
    return cy.getTestElementWithClass(this.listItemFormId);
  }

  public getWeitereFelderAuswertenButton(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.weitereFelderAuswertenButton);
  }
}
