import { E2EOrganisationsEinheitExecutor } from './organisations-einheit.executor';
import { E2EOrganisationsEinheitNavigator } from './organisations-einheit.navigator';

export class E2EOrganisationsEinheitHelper {
  private readonly navigator: E2EOrganisationsEinheitNavigator = new E2EOrganisationsEinheitNavigator();
  private readonly executor: E2EOrganisationsEinheitExecutor = new E2EOrganisationsEinheitExecutor();

  public openOrganisationsEinheitPage(): void {
    this.navigator.openOrganisationsEinheitListPage();
  }

  public addOrganisationsEinheit(name: string): void {
    this.executor.addOrganisationsEinheit(name);
  }

  public deleteOrganisationsEinheit(name: string): void {
    this.executor.deleteOrganisationsEinheit(name);
  }
}
