/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
export const VORGANG_ZUSTAENDIGE_STELLE_EMAIL: string = 'e2e-zustaendigestelle@ozg-sh.de';

export const FORWARDING_INVALID_EMAIL: string = 'ea.ozg-sh.local';
export const FORWARDING_TEST_EMAIL: string = 'ea@ozg-sh.de';

export const TEST_FILE_WITH_CONTENT: string = 'fileWithContent.txt';
export const TEST_FILE_WITHOUT_CONTENT: string = 'fileWithoutContent.txt';
//TODO hat aktuell kein contentType -> Datei mit contentType anlegen
export const TEST_FILE_WITH_CONTENT_4_MB: string = 'upload-me.withContent4MB';
export const TEST_FILE_WITH_CONTENT_46MB: string = '41MB.zip';

export const ORGANISATIONSEINHEITEN_ID_FOR_ADELHEIT = '10363455';
export const ORGANISATIONSEINHEITEN_ID_FOR_SABINE = '9030229';
export const ORGANISATIONSEINHEITEN_ID_FOR_BEATE = '12345678';

//TODO Rename = nicht fachlich bezogen bspw. TEST_FILE_WITH_CONTENT_5_MB anstelle von "invalid" oder "big"
export const TEST_FILE_BESCHEID_VALID: string = 'Bescheid_valid.pdf';
export const TEST_FILE_BESCHEID_BIG: string = 'Bescheid_5mb.pdf';
export const TEST_FILE_BESCHEID_ANHANG_VALID: string = 'Anhang_valid.pdf';
export const TEST_FILE_BESCHEID_ANHANG_BIG: string = 'Anhang_5mb.pdf';
//

export const TEST_FILE_JPG: string = 'small_jpg.jpg';
export const TEST_FILE_JPEG: string = 'small_jpeg.jpeg';
export const TEST_FILE_PNG: string = 'small_png.png';
