import { ADMIN_FORMSERVICE } from '@admin-client/shared';
import { CommonModule } from '@angular/common';
import { Component, inject } from '@angular/core';
import { AbstractControl, ReactiveFormsModule } from '@angular/forms';
import { AggregationMappingFormService } from '../aggregation-mapping-form.service';
import { AggregationMappingFieldFormComponent } from './aggregation-mapping-field-form/aggregation-mapping-field-form.component';

@Component({
  selector: 'admin-aggregation-mapping-field-list-form',
  templateUrl: './aggregation-mapping-field-list-form.component.html',
  standalone: true,
  imports: [CommonModule, ReactiveFormsModule, AggregationMappingFieldFormComponent],
})
export class AggregationMappingFieldListFormComponent {
  public readonly formService = <AggregationMappingFormService>inject(ADMIN_FORMSERVICE);

  public readonly mappingsFormArray: AbstractControl[] = this.formService.mappings.controls;

  public readonly AggregationMappingFormService = AggregationMappingFormService;
}
