import { OrganisationsEinheitService, ZUSTAENDIGE_STELLE_SERVICE } from '@alfa-client/zustaendige-stelle-shared';
import { Component, inject } from '@angular/core';
import { ButtonComponent } from '@ods/system';

@Component({
  selector: 'alfa-forwarding-item-change-button-container',
  standalone: true,
  imports: [ButtonComponent],
  templateUrl: './forwarding-item-change-button-container.component.html',
})
export class ForwardingItemChangeButtonContainerComponent {
  private readonly organisationsEinheitService = inject(ZUSTAENDIGE_STELLE_SERVICE) as OrganisationsEinheitService;

  public onClick(): void {
    this.organisationsEinheitService.clearSelectedResult();
  }
}
