import { AnschriftToStringPipe, OrganisationsEinheitResource } from '@alfa-client/zustaendige-stelle-shared';
import { Component, Input } from '@angular/core';
import { ForwardingItemComponent } from '@ods/system';
import { ForwardingItemChangeButtonContainerComponent } from './forwarding-item-change-button-container/forwarding-item-change-button-container.component';

@Component({
  selector: 'alfa-forwarding-item-in-dialog',
  standalone: true,
  imports: [ForwardingItemChangeButtonContainerComponent, AnschriftToStringPipe, ForwardingItemComponent],
  templateUrl: './forwarding-item.component.html',
})
export class ForwardingItemInDialogComponent {
  @Input() organisationsEinheitResource: OrganisationsEinheitResource;
}
